<section class="container">
  <app-note-creator (updateArchive)="updateArchive()"></app-note-creator>
  <div class="notes-grid">
    <div class="loader" *ngIf="dataIsLoading; else notesBlock">
      Notes are loading...
    </div>
    <ng-template #notesBlock>
      <app-note
        *ngFor="let note of notes"
        [note]="note"
        (noteDeleteEmitter)="removeNoteById($event)"
      ></app-note>
    </ng-template>
  </div>
</section>
